Bug 244340 - kword:msoffice2007:Tables with different styles are not getting displayed properly.
Summary: kword:msoffice2007:Tables with different styles are not getting displayed pro...
Status: CONFIRMED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: docx (show other bugs)
Version: Git
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Sauer
URL:
Keywords: reproducible
Depends on: 273016 273024
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 09:24 UTC by Lassi Nieminen
Modified: 2012-09-04 08:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
MS Word 2007 document to be open in Kword (18.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-06-01 09:24 UTC, Lassi Nieminen
Details
Screenshot of the document in MS Office 2007 (2.25 MB, image/bmp)
2010-06-01 09:26 UTC, Lassi Nieminen
Details
Screenshot of the document in Kword (127.33 KB, image/pjpeg)
2010-06-01 09:27 UTC, Lassi Nieminen
Details
Screenshot in MS Office (219.06 KB, image/x-png)
2011-05-10 09:12 UTC, swathi
Details
Screenshot in Words (150.21 KB, image/x-png)
2011-05-10 09:12 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-07-12 17:57:10 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-06-01 10:24:36 +0300 ----

Created an attachment
MS Word 2007 document to be open in Kword

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1132578)
  Test document (MS Word 2007): mw07_table_quicktables.docx

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MS Word 2007.
  2. Open the same document in Kword.
  3. Observe the table styles in the document.

EXPECTED OUTCOME:
  Kword should be able to display the  tables with different styles in the 
  document.

ACTUAL OUTCOME:
  kword is not displaying the table styles properly.

FREQUENCY:
  Always.



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-01 10:26:42 +0300 ----

Created an attachment
Screenshot of the document in MS Office 2007



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-01 10:27:48 +0300 ----

Created an attachment
Screenshot of the document in Kword



--- Bug imported by faure@kde.org 2010-07-12 17:57  ---

This bug was previously known as _bug_ 171682.

Imported an attachment (id=48870)
Imported an attachment (id=48871)
Imported an attachment (id=48872)
Comment 1 Sebastian Sauer 2011-05-05 22:51:05 UTC
Fixed with 8b4da79c1414bd38c2cea7832091a33a88124d5e
Comment 2 swathi 2011-05-10 09:11:17 UTC
Tested in aeaddb2091228967b563d8ec25d9f728ea5d0f36.
Still few table styles are not displaying properly.(Observe the table styles in 2nd page.)
So reopening the bug.
Comment 3 swathi 2011-05-10 09:12:05 UTC
Created attachment 59839 [details]
Screenshot in MS Office
Comment 4 swathi 2011-05-10 09:12:40 UTC
Created attachment 59840 [details]
Screenshot in Words
Comment 5 Inge Wallin 2011-05-17 13:52:31 UTC
The colors look good now.  Still a few too many borders, though.
Comment 6 Lassi Nieminen 2011-05-17 14:01:15 UTC
Needs a bunch of stuff to be fixed perfectly eg.
1. 273016
2. KoText does not load paragraph properties
3. KoText/something cells don't support text in different rotation
4. Filter does not load all border styles correctly
Comment 7 Lassi Nieminen 2011-05-17 14:01:53 UTC
by 2 it was meant that it does not load them for cell-styles
Comment 8 Camilla Boemann 2011-11-12 23:12:18 UTC
1) 273016 is fixed and closed with style inheritance being fixed recently

2) needs some more work

3) is a long way from ever being fixed
4) must be said to be this bug's core issue